unit uPosition;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Eingabe: TEdit;
    Suche: TButton;
    Ausgabe1: TLabel;
    ZeichenEin: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Ausgabe2: TLabel;
    Ende: TButton;
    procedure SucheClick(Sender: TObject);
    procedure EndeClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SucheClick(Sender: TObject);
var s, zeichen  : string;
    position : integer;
begin
    s := Eingabe.Text;
    zeichen := ZeichenEin.Text;
    position := pos(Zeichen,s);
    Ausgabe1.caption := 'Der Buchstabe '+Zeichen+' ist an Position';
    Ausgabe2.Caption := IntToStr(position);
end;

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

end.
